Bug 166136 - [patch] databases/freetds-devel properly link tds module with libiconv
Summary: [patch] databases/freetds-devel properly link tds module with libiconv
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Michael Scheidell
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-15 06:50 UTC by buganini
Modified: 2012-04-16 13:00 UTC (History)
0 users

See Also:


Attachments
file.diff (971 bytes, patch)
2012-03-15 06:50 UTC, buganini
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description buganini 2012-03-15 06:50:00 UTC
pyodbc+freetds terminates with:
/usr/local/lib/libtdsodbc.so: Undefined symbol "libiconv_open"

Fix: link libtdsodbc.so with libiconv

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-03-15 06:50:45 UTC
Maintainer of databases/freetds-devel,

Please note that PR ports/166136 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/166136

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-03-15 06:50:47 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Michael Scheidell freebsd_committer 2012-04-15 12:34:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->scheidell

I'll take it.
Comment 4 Kurt Jaeger 2012-04-15 12:47:39 UTC
Hi!

> Maintainer of databases/freetds-devel,
> 
> Please note that PR ports/166136 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.

I approve the patch.

-- 
pi@opsec.eu            +49 171 3101372                         8 years to go !
Comment 5 dfilter service freebsd_committer 2012-04-15 12:58:41 UTC
scheidell    2012-04-15 11:58:27 UTC

  FreeBSD ports repository

  Modified files:
    databases/freetds-devel Makefile 
  Added files:
    databases/freetds-devel/files patch-src-tds-Makefile 
  Log:
  - link libtdsodbc.so with libiconv to unbreak runtime
  
  PR:             ports/166136
  Submitted by:   Kuan-Chung Chiu <buganini@gmail.com>
  Approved by:    Kurt Jaeger <pi@opsec.eu> (maintainer)
  
  Revision  Changes    Path
  1.72      +1 -1      ports/databases/freetds-devel/Makefile
  1.1       +11 -0     ports/databases/freetds-devel/files/patch-src-tds-Makefile (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Michael Scheidell freebsd_committer 2012-04-16 13:00:47 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!